AddonHelper (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.griffon.runtime.util
[Groovy] Class AddonHelper

    java.lang.Object
      org.codehaus.griffon.runtime.util.AddonHelper

    class AddonHelper
    extends Object

Helper class for dealing with addon initialization.

Authors:
  Danno Ferrin
  Andres Almiray

Field Summary
`private static Map` | `ADDON_CACHE`
`private static org.slf4j.Logger` | `LOG`

Property Summary
`static def` | `DELEGATE_TYPES`

Constructor Summary
`AddonHelper()`

Method Summary
`private static void` | `_addFactories(MetaClass mc, Map factories, String prefix, UberBuilder builder)`
`private static void` | `_addMethods(MetaClass mc, Map methods, String prefix)`
`private static void` | `_addProps(MetaClass mc, Map props, String prefix)`
`static void` | `addEvents(GriffonApplication app, Map events)`
`static void` | `addFactories(UberBuilder builder, Map factories, String addonName, String prefix)`
`static void` | `addMVCGroups(GriffonApplication app, Map groups)`
`static void` | `addMethods(UberBuilder builder, Map methods, String addonName, String prefix)`
`static void` | `addProperties(UberBuilder builder, Map props, String addonName, String prefix)`
`private static void` | `computeAddonCache(GriffonApplication app)`
`private static Map` | `getAddonCache()`
`private static void` | `handleAddon(GriffonApplication app, Map config)`
`static void` | `handleAddonForBuilder(GriffonApplication app, UberBuilder builder, Map targets, Map addonConfig)`
`static void` | `handleAddonsAtStartup(GriffonApplication app)`
`static void` | `handleAddonsForBuilders(GriffonApplication app, UberBuilder builder, Map targets)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### ADDON_CACHE

    private static final Map ADDON_CACHE

### LOG

    private static final org.slf4j.Logger LOG

Property Detail

### DELEGATE_TYPES

    static final def DELEGATE_TYPES

Constructor Detail

### AddonHelper

    AddonHelper()

Method Detail

### _addFactories

    private static void _addFactories(MetaClass mc, Map factories, String prefix, UberBuilder builder)

### _addMethods

    private static void _addMethods(MetaClass mc, Map methods, String prefix)

### _addProps

    private static void _addProps(MetaClass mc, Map props, String prefix)

### addEvents

    static void addEvents(GriffonApplication app, Map events)

### addFactories

    static void addFactories(UberBuilder builder, Map factories, String addonName, String prefix)

### addMVCGroups

    static void addMVCGroups(GriffonApplication app, Map groups)

### addMethods

    static void addMethods(UberBuilder builder, Map methods, String addonName, String prefix)

### addProperties

    static void addProperties(UberBuilder builder, Map props, String addonName, String prefix)

### computeAddonCache

    @Synchronized
    private static void computeAddonCache(GriffonApplication app)

### getAddonCache

    @Synchronized
    private static Map getAddonCache()

### handleAddon

    private static void handleAddon(GriffonApplication app, Map config)

### handleAddonForBuilder

    static void handleAddonForBuilder(GriffonApplication app, UberBuilder builder, Map targets, Map addonConfig)

### handleAddonsAtStartup

    static void handleAddonsAtStartup(GriffonApplication app)

### handleAddonsForBuilders

    static void handleAddonsForBuilders(GriffonApplication app, UberBuilder builder, Map targets)

Groovy Documentation